curl --request POST \
--url https://api.sippet.ai/api/operator_statuses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"attributes": {
"sip_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source": "widget",
"status": "available"
},
"relationships": {},
"type": "OperatorStatus"
}
}
'{
"data": {
"id": "<string>",
"type": "<string>",
"attributes": {
"agent_name": "<string>",
"sip_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "available",
"changed_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source": "widget"
},
"relationships": {
"changed_by_user": {
"data": {
"id": "<string>",
"type": "<string>",
"meta": {}
}
},
"organisation": {
"data": {
"id": "<string>",
"type": "<string>",
"meta": {}
}
},
"sip_user": {
"data": {
"id": "<string>",
"type": "<string>",
"meta": {}
}
}
}
},
"included": [
"<unknown>"
],
"meta": {}
}/operator_statuses operation on OperatorStatus resource
curl --request POST \
--url https://api.sippet.ai/api/operator_statuses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"attributes": {
"sip_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source": "widget",
"status": "available"
},
"relationships": {},
"type": "OperatorStatus"
}
}
'{
"data": {
"id": "<string>",
"type": "<string>",
"attributes": {
"agent_name": "<string>",
"sip_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "available",
"changed_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source": "widget"
},
"relationships": {
"changed_by_user": {
"data": {
"id": "<string>",
"type": "<string>",
"meta": {}
}
},
"organisation": {
"data": {
"id": "<string>",
"type": "<string>",
"meta": {}
}
},
"sip_user": {
"data": {
"id": "<string>",
"type": "<string>",
"meta": {}
}
}
}
},
"included": [
"<unknown>"
],
"meta": {}
}JWT for bearer authentication
Relationship paths to include in the response
^()(,())*$Limits the response fields to only those listed for each type
Show child attributes
{
"OperatorStatus": "id,sip_user_id,agent_name,status,source,changed_by_user_id"
}Request body for the /operator_statuses operation on OperatorStatus resource
Show child attributes
Was this page helpful?